#ifndef CLIB_CONSOLE_PROTOS_H
#define CLIB_CONSOLE_PROTOS_H

/*
    (C) 1995-97 AROS - The Amiga Replacement OS
    $Id: console_protos.h,v 1.7 1997/01/30 08:27:36 digulla Exp $

    Desc: Prototypes for console.device
    Lang: english
*/

#ifndef AROS_LIBCALL_H
#   include <aros/libcall.h>
#endif

/*
    Prototypes
*/
AROS_LP2(struct InputEvent *, CDInputHandler,
    AROS_LPA(struct InputEvent *, events, A0),
    AROS_LPA(struct Library    *, consoleDevice, A1),
    struct Library *, ConsoleDevice, 7, Console)

AROS_LP4(LONG, RawKeyConvert,
    AROS_LPA(struct InputEvent *, events, A0),
    AROS_LPA(STRPTR             , buffer, A1),
    AROS_LPA(LONG               , length, D1),
    AROS_LPA(struct KeyMap     *, keyMap, A2),
    struct Library *, ConsoleDevice, 8, Console)


#endif /* CLIB_CONSOLE_PROTOS_H */
